curl --request PATCH \
--url https://dev.superpool.unyte.africa/api/v1/claims/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"claimant_metadata": {
"email": "new.email@example.com",
"phone_number": "+1234567890",
"age": 35
},
"claim_details": {
"incident_date": "2024-08-01",
"incident_description": "Updated description of the incident."
}
}
'{
"status": "success",
"message": "Claim updated successfully.",
"data": {
"id": "c45bca2a-b134-4f0e-95a1-5fdea8b662e9",
"claimant": {
"first_name": "John",
"last_name": "Doe",
"email": "new.email@example.com",
"phone_number": "+1234567890",
"age": 35
},
"claim_details": {
"incident_date": "2024-08-01",
"incident_description": "Updated description of the incident."
}
}
}Update the details of a previously filed claim by a cutstomer
Endpoint to update an existing filed claim
curl --request PATCH \
--url https://dev.superpool.unyte.africa/api/v1/claims/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"claimant_metadata": {
"email": "new.email@example.com",
"phone_number": "+1234567890",
"age": 35
},
"claim_details": {
"incident_date": "2024-08-01",
"incident_description": "Updated description of the incident."
}
}
'{
"status": "success",
"message": "Claim updated successfully.",
"data": {
"id": "c45bca2a-b134-4f0e-95a1-5fdea8b662e9",
"claimant": {
"first_name": "John",
"last_name": "Doe",
"email": "new.email@example.com",
"phone_number": "+1234567890",
"age": 35
},
"claim_details": {
"incident_date": "2024-08-01",
"incident_description": "Updated description of the incident."
}
}
}Authorizations
Path Parameters
UUID of the claim
Query Parameters
Claim Reference Number issued by the Insurance provider to help manage/track claim object
Body
Handles updating of a claim instance
We are only allowing updates to the following fields:
- Customer information - age, email, phone number
- Claim details - incident date, incident description
- Witness information - name, contact phone, contact email, statement
Fields you cannot update:
- Claim ID
- First Name and Surname of the claimant - you would have to reach out to support team with your verifying documents
- Claim number provided by the merchant
- Authority report - report number, report date, filing station - For now not supported
- Supporting documents for a claim (Claim details) - For now not supported
- Claim amount
Validates incoming request data for creating a new claim.
Show child attributes
Show child attributes
Specifies the data structure for capturing claim details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Specifies the data structure for the Authority Report e.g Police Report
Show child attributes
Show child attributes
Response
Success response with updated claim data.
Serializer for Claim instances.
This serializer includes fields that are intended to be visible when retrieving or listing Claim objects. It provides a human-readable representation of the Claim, including status descriptions.
^-?\d{0,8}(?:\.\d{0,2})?$^-?\d{0,8}(?:\.\d{0,2})?$Serilizes the metadata about the product category a claim belongs to
Show child attributes
Show child attributes
Unique identifier for the policy
Show child attributes
Show child attributes
^-?\d{0,8}(?:\.\d{0,2})?$